org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class FilterStep<S>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,S>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.FilterStep<S>

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<S>>, Step<S,S>
  Direct Known Subclasses:
    ClassFilterStep, CoinStep, ConnectiveStep, DedupGlobalStep, DropStep, HasStep, IsStep, LambdaFilterStep, NoneStep, NotStep, PathFilterStep, RangeGlobalStep, TimeLimitStep, TraversalFilterStep, WherePredicateStep, WhereTraversalStep, WhereTraversalStep.WhereEndStep

      public abstract class FilterStep<S>
      extends AbstractStep<S,S>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterStep(Traversal.Admin traversal)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `filter(Traverser.Admin<S> traverser)`
    `protected Traverser.Admin<S>` | `processNextStart()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hashCode, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### FilterStep

          public FilterStep(Traversal.Admin traversal)

  - ### Method Detail

    - #### processNextStart

          protected Traverser.Admin<S> processNextStart()

      Specified by:
        `processNextStart` in class `AbstractStep<S,S>`

    - #### filter

          protected abstract boolean filter(Traverser.Admin<S> traverser)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.